diff --git a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
index 35f13b428..693dacd99 100644
--- a/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
+++ b/game/client/src/main/java/net/minecraft/client/render/block/model/BlockModelDispatcher.java
@@ -208,22 +306,24 @@ public class BlockModelDispatcher
         addDispatch(new BlockModelLeaves<>(Blocks.LEAVES_THORN, "minecraft:block/leaves/caatinga"));
         addDispatch(new BlockModelLeaves<>(Blocks.LEAVES_PALM, "minecraft:block/leaves/palm"));
 
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_OAK).withTextures("minecraft:block/sapling/oak"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_OAK_RETRO).withTextures("minecraft:block/sapling/oak_retro"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_PINE).withTextures("minecraft:block/sapling/pine"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_BIRCH).withTextures("minecraft:block/sapling/birch"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_CHERRY).withTextures("minecraft:block/sapling/cherry"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_EUCALYPTUS).withTextures("minecraft:block/sapling/eucalyptus"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_SHRUB).withTextures("minecraft:block/sapling/shrub"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_CACAO).withTextures("minecraft:block/sapling/cacao"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_THORN).withTextures("minecraft:block/sapling/thorn"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_PALM).withTextures("minecraft:block/sapling/palm"));
-
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.TALLGRASS).withTextures("minecraft:block/tallgrass"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.TALLGRASS_FERN).withTextures("minecraft:block/fern"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.DEADBUSH).withTextures("minecraft:block/deadbush"));
-        addDispatch(new BlockModelCrossedSquares<>(Blocks.SPINIFEX).withTextures("minecraft:block/spinifex"));
-        addDispatch(new BlockModelAlgae<>(Blocks.ALGAE).withTextures("minecraft:block/algae").withCustomItemBounds(0.0f, 0.01f, 0.0f, 1.0f, 0.0125f, 1.0f));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_OAK)
+            .setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/oak")
+            .setAllTextures(RETRO_BLOCK_TEXTURES, "minecraft:block/sapling/oak_retro"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_OAK_RETRO).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/oak_retro"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_PINE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/pine"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_BIRCH).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/birch"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_CHERRY).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/cherry"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_EUCALYPTUS).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/eucalyptus"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_SHRUB).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/shrub"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_CACAO).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/cacao"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_THORN).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/thorn"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SAPLING_PALM).setAllTextures(BLOCK_TEXTURES, "minecraft:block/sapling/palm"));
+
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.TALLGRASS).setAllTextures(BLOCK_TEXTURES, "minecraft:block/tallgrass"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.TALLGRASS_FERN).setAllTextures(BLOCK_TEXTURES, "minecraft:block/fern"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.DEADBUSH).setAllTextures(BLOCK_TEXTURES, "minecraft:block/deadbush"));
+        addDispatch(new BlockModelCrossedSquares<>(Blocks.SPINIFEX).setAllTextures(BLOCK_TEXTURES, "minecraft:block/spinifex"));
+        addDispatch(new BlockModelAlgae<>(Blocks.ALGAE).setAllTextures(BLOCK_TEXTURES, "minecraft:block/algae").withCustomItemBounds(0.0f, 0.01f, 0.0f, 1.0f, 0.0125f, 1.0f));
 
         addDispatch(new BlockModelFlowerStackable<>(Blocks.FLOWER_YELLOW, "minecraft:block/flower_yellow/"));
         addDispatch(new BlockModelFlowerStackable<>(Blocks.FLOWER_RED, "minecraft:block/flower_red/"));
